calm warnings for libgfortran5 & libgnat8

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

calm warnings for libgfortran5 & libgnat8

Andrew Schulman
calm sent me the below after I uploaded screen-4.6.2-3. Do I need to do
anything about the warnings? I'm not sure what they're about. I don't think
I have any packages that depend on libgfortran5 or libgnat8, but maybe I'm
wrong.

Thanks,
Andrew

WARNING: package 'libgfortran5' doesn't have a curr version
WARNING: package 'libgfortran5' doesn't have a curr version
WARNING: package 'libgnat8' doesn't have a curr version
WARNING: package 'libgfortran5' doesn't have a curr version
WARNING: package 'libgfortran5' doesn't have a curr version
WARNING: package 'libgnat8' doesn't have a curr version
INFO: adding 2 package(s) for arch x86_64
INFO: move from Andrew Schulman's upload area to release area:
INFO: x86_64/release/screen/screen-4.6.2-3-src.tar.xz
INFO: x86_64/release/screen/screen-4.6.2-3.hint
INFO: x86_64/release/screen/screen-4.6.2-3.tar.xz
INFO: x86_64/release/screen/screen-debuginfo/screen-debuginfo-4.6.2-3.hint
INFO:
x86_64/release/screen/screen-debuginfo/screen-debuginfo-4.6.2-3.tar.xz
INFO: vaulting 2 old package(s) for arch x86_64
INFO: move from release area to vault:
INFO: x86_64/release/screen/screen-4.6.1-1-src.tar.xz
INFO: x86_64/release/screen/screen-4.6.1-1.hint
INFO: x86_64/release/screen/screen-4.6.1-1.tar.xz
INFO: x86_64/release/screen/screen-debuginfo/screen-debuginfo-4.6.1-1.hint
INFO:
x86_64/release/screen/screen-debuginfo/screen-debuginfo-4.6.1-1.tar.xz
SUMMARY: 14 INFO(s), 6 WARNING(s)


Reply | Threaded
Open this post in threaded view
|

Re: calm warnings for libgfortran5 & libgnat8

Jon TURNEY
On 12/04/2019 15:26, Andrew Schulman wrote:
> calm sent me the below after I uploaded screen-4.6.2-3. Do I need to do
> anything about the warnings? I'm not sure what they're about. I don't think
> I have any packages that depend on libgfortran5 or libgnat8, but maybe I'm
> wrong.

It's safe for you to ignore these messages.

These are warnings about the current state of the package release area
after the test release gcc 8.3.0-1 was uploaded (in which libfortan and
libgnat had soversion bumps, so now exist as packages without a current
version)

Unfortunately calm is not (currently) smart enough to know who needs to
be told about this, so it tells everyone.

Since the situation is intended, I've configured the appropriate
suppressions for these warnings to shut calm up.

Sorry for any confusion caused.

> WARNING: package 'libgfortran5' doesn't have a curr version
> WARNING: package 'libgfortran5' doesn't have a curr version
> WARNING: package 'libgnat8' doesn't have a curr version
> WARNING: package 'libgfortran5' doesn't have a curr version
> WARNING: package 'libgfortran5' doesn't have a curr version
> WARNING: package 'libgnat8' doesn't have a curr version
Reply | Threaded
Open this post in threaded view
|

Re: calm warnings for libgfortran5 & libgnat8

Andrew Schulman
> On 12/04/2019 15:26, Andrew Schulman wrote:
> > calm sent me the below after I uploaded screen-4.6.2-3. Do I need to do
> > anything about the warnings? I'm not sure what they're about. I don't think
> > I have any packages that depend on libgfortran5 or libgnat8, but maybe I'm
> > wrong.
>
> It's safe for you to ignore these messages.
>
> These are warnings about the current state of the package release area
> after the test release gcc 8.3.0-1 was uploaded (in which libfortan and
> libgnat had soversion bumps, so now exist as packages without a current
> version)
>
> Unfortunately calm is not (currently) smart enough to know who needs to
> be told about this, so it tells everyone.

Cool, thanks. I'm just always glad when it's not my fault.